<?php
/*
GV Excel Export.	admin.php
*/

	/* MetaBox. Add to GV admin forms.
	----------------------------------------------------------------- */
	function GVXL_Add_Metaboxes_GV(){		
		$screens = array( 'gravityview');	
			
		// Excel-Export.
		add_meta_box( 'GVXL_ExcelExport_Metabox', 'Excel-Export.', 'GVXL_Add_ExcelExport_Metabox_Callback', $screens, 'side', 'high');		
	}
	add_action('add_meta_boxes', 'GVXL_Add_Metaboxes_GV');	
	
	/* MetaBox Excel-Export.
	----------------------------------------------------------------- */	
	function GVXL_Add_ExcelExport_Metabox_Callback( $post, $meta ) {	
		$GV_Settings = get_option('gravityformsaddon_gravityview_app_settings', array());
		
		$GV_Settings_ExcelExport 	= isset($GV_Settings['excel-export']) ? intval($GV_Settings['excel-export']) : true;
		$Action 					= isset($_REQUEST['action']) ? sanitize_text_field($_REQUEST['action']) : null;
	
		$PostID = $post->ID;
		
		if ($PostID && $Action == 'edit') {
			global $GVXL_plugin_url;
			
			$key = 'gvxl_excel-export_control';
			$ExcelExport_Control = get_post_meta( $PostID, $key, true );
		
			if ($GV_Settings_ExcelExport) {
				// PRO Version
				if ($ExcelExport_Control) {
					// Load JS Script
				}

				?>
				<div class='gvxl_metabox'>
					<div>
						<div>
							<label>
								<input id="gvxl_excelexport" type="checkbox" name="gvxl_excelexport" onchange="excelexport_info()" <?php if ($ExcelExport_Control) {echo 'checked="checked"';} ?> value="1" />
								<span class='gvxl_metabox_excelexport_title' title="Enable 'Excel-Export' for this form.">
									Excel-Export <i class="fa fa-info-circle" aria-hidden="true"></i>
								</span>
							</label>					
						</div>
						<div id="excelexport_info_box" class="gvxl_excelexport_info_box" style="display: none;">
							you need to update this form, before changes to take effect.
						</div>				
					</div>
				</div>

				<script>
					function excelexport_info () {
						document.getElementById('excelexport_info_box').style.display = 'block';
					}
				</script>
				<?php
				// PRO Version				
				// Some Problems about - Try Register Script for GV Admin page!
			} else {
				// Excel-Export - Disabled on GV Settings.
				?>
				<div class='gvxl_metabox'>
					<div>
						<div class="gvxl_metabox_disabled">
							<label>
								<input id="gvxl_excelexport" type="checkbox" name="gvxl_excelexport" <?php if ($ExcelExport_Control) {echo 'checked="checked"';} ?> value="1" />
								<span class='gvxl_metabox_excelexport_title' title="Enable 'Excel-Export' for this form.">
									Excel-Export <i class="fa fa-info-circle" aria-hidden="true"></i>
								</span>
							</label>					
						</div>					
						<div id="excelexport_info_box" class="gvxl_excelexport_info_box">
							Disabled on GV Settings.
						</div>				
					</div>
				</div>
				<?php				
			}				
		} 
	}	

	/* MetaBox. Save options whith GV.
	----------------------------------------------------------------- */	
	function GVXL_Metabox_Filters_Save( $post_id ) {		
		// Autosave, Do Nothing
		if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) 
			return;

		if( ! current_user_can( 'edit_post', $post_id ) ) {
			return;
		}			

		// ОК. Do Save.
		$ExcelExport_Control = isset($_POST['gvxl_excelexport']) ? sanitize_text_field($_POST['gvxl_excelexport']) : 0;	
		
		$key = 'gvxl_excel-export_control';
		
		update_post_meta( $post_id, $key, $ExcelExport_Control );		
	}
	add_action( 'save_post_gravityview', 'GVXL_Metabox_Filters_Save' );	